﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.CompanyClientStrategyInsertUpdateDbViewModel
@using Newtonsoft.Json;
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
} 
<h2>Index</h2>
@using (Html.BeginForm("Index", "CompanyClientAndStrategy", FormMethod.Post, new { id = "Companystr", name = "Companystr", @class = "" }))
{
   
<div id="content" class="content">
    <div class="section-with-top-border">
        <div class="row">
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                </div>
            </div>
        </div>
    </div>
    <div class="section-with-top-border p-b-10 p-t-25">
        @if (ViewBag.Message != "")
        {
            <div class="alert alert-danger alert-bordered show m-b-10">
                <strong>Info!</strong>
                @ViewBag.Message
                <span class="close" data-dismiss="alert">×</span>
            </div>
        }
        @Html.HiddenFor(Model => Model.CompanyId)
        @Html.HiddenFor(Model => Model.ProjectId)
        <!-- begin row -->
        <div class="row">
            <!-- begin col-8 -->
            <div class="col-md-12">
                <!-- begin panel -->
                <div class="panel">
                    <div class="table-responsive">
                        <table id="tblStrategy" class="table table-bordered table-hover table-striped table-td-valign-middle">
                            <thead>
                                <tr class="inverse">
                                    <th style="padding-left:10px;" width="10%" class="text-center">
                                        Date<span class="text-danger"></span>
                                    </th>
                                    <th width="10%" class="text-center">Organic/Inorganic</th>
                                    <th width="25%" class="text-center">
                                        Strategy<span class="text-danger"></span>
                                    </th>
                                    <th width="10%" class="text-center">
                                        Category <span class="text-danger"></span>
                                    </th>
                                    <th width="10%" class="text-center">Importance</th>
                                    <th width="10%" class="text-center">
                                        Impact <span class="text-danger"></span>
                                    </th>
                                    <th width="25%" class="text-center">Remarks</th>
                                </tr>
                            </thead>
                            <tbody>
                                @for (int k = 0; k < Model.CompanyStrategyViewModel.Count; k++)
                                {
                                    <tr>
                                        <td class="text-center">
                                            @Html.HiddenFor(Model => Model.CompanyStrategyViewModel[k].Id)
                                            @Html.TextBoxFor(Model => Model.CompanyStrategyViewModel[k].Date, "{0:yyyy-MM-dd}", new { @class = "form-control", type = "date" })
                                        </td>
                                        <td class="text-center">
                                            @Html.DropDownListFor(Model => Model.CompanyStrategyViewModel[k].ApproachId, new SelectList(ViewBag.ApproachList, "Id", "ApproachName"), "", new { @class = "form-control" })
                                        </td>
                                        <td class="text-center">
                                            @Html.TextAreaFor(Model => Model.CompanyStrategyViewModel[k].Strategy, new { @class = "form-control" })
                                        </td>
                                        <td class="text-center">
                                            @Html.DropDownListFor(Model => Model.CompanyStrategyViewModel[k].CategoryId, new SelectList(ViewBag.CategoryList, "Id", "CategoryName"), "", new { @class = "form-control" })
                                        </td>
                                        <td class="text-center">
                                            @Html.DropDownListFor(Model => Model.CompanyStrategyViewModel[k].ImportanceId, new SelectList(ViewBag.ImportanceList, "Id", "ImportanceName"), "", new { @class = "form-control" })
                                        </td>
                                        <td class="text-center">
                                            @Html.DropDownListFor(Model => Model.CompanyStrategyViewModel[k].ImpactId, new SelectList(ViewBag.ImpactList, "Id", "ImpactDirectionName"), "", new { @class = "form-control" })
                                        </td>
                                        <td class="text-center">
                                            @Html.TextAreaFor(Model => Model.CompanyStrategyViewModel[k].Remark, new { @class = "form-control" })
                                        </td>
                                    </tr>
                                }
                                <tr>
                                    <td class="text-center"></td>
                                    <td class="text-center"></td>
                                    <td class="text-center"></td>
                                    <td class="text-center"></td>
                                    <td class="text-center"></td>
                                    <td class="text-center"></td>
                                    <td class="text-right">
                                        <button type="submit" name="actionName" value="AddRowStrategy" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                                    </td>
                                </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- end panel -->
            </div>
            <!-- end col-8 -->
            <!-- end col-4 -->
        </div>
        <!-- end row -->
    </div>
    <div class="section-with-top-border p-b-10 p-t-25">
        <!-- begin row -->
        <div class="row">
            <!-- begin col-8 -->
            <div class="col-md-12">
                <!-- begin panel -->
                <div class="panel">
                    <div class="table-responsive">
                        <table class="table table-bordered table-hover table-striped table-td-valign-middle">
                            <thead>
                                <tr class="inverse">
                                    <th class="text-center">Client Name</th>
                                    <th class="text-center">Client Industry</th>
                                    <th width="50%" class="text-center">Remarks</th>
                                </tr>
                            </thead>
                            <tbody>
                                @for (int i = 0; i < Model.CompanyclientViewModel.Count; i++)
                                {
                                    <tr>
                                        <td class="text-center">
                                            @Html.HiddenFor(Model => Model.CompanyclientViewModel[i].Id)
                                            @Html.TextBoxFor(Model => Model.CompanyclientViewModel[i].ClientName, new { @class = "form-control" })
                                        </td>
                                        <td class="text-center">
                                            @Html.DropDownListFor(Model => Model.CompanyclientViewModel[i].ClientIndustry, new SelectList(ViewBag.IndustryList, "Id", "IndustryName"), "", new { @class = "form-control" })
                                        </td>
                                        <td class="text-center">
                                            @Html.TextAreaFor(Model => Model.CompanyclientViewModel[i].ClientRemark, new { @class = "form-control" })
                                        </td>
                                    </tr>
                                }
                                <tr>
                                    <td class="text-center"></td>
                                    <td class="text-center"></td>
                                    <td class="text-right">
                                        <button type="submit" name="actionName" value="AddRowclient" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                                    </td>
                                </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- end panel -->
            </div>
            <!-- end col-8 -->
            <!-- end col-4 -->
        </div>
        <!-- end row -->
    </div>
    <!-- begin section-container -->
    <div class="section-with-top-border p-b-5">
        <div class="row">
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteViewModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteViewModel.AuthorRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>

                </div>
            </div>
            <!-- end col-6 -->
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Approver Notes</h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteViewModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteViewModel.ApproverRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>
                </div>
            </div>
        </div>
        <!-- end row -->
    </div>
    <!-- end section-container -->
    @*<div style="text-align: center;">
            <p>
                <a class="btn btn-grey m-b-5" href="share-volume-graph.html">Previous</a>
                <button type="submit" name="actionName" value="Save" class="btn btn-grey m-b-5">Save</button>
                <button type="submit" name="actionName" value="Clear" class="btn btn-grey m-b-5">Clear</button>
                <button type="submit" name="actionName" value="Submit" class="btn btn-grey m-b-5">Submit</button>
                <button type="submit" name="actionName" value="Approve" class="btn btn-grey m-b-5">Approve</button>
                <button type="submit" name="actionName" value="Reject" class="btn btn-grey m-b-5">Reject</button>
                <a class="btn btn-grey m-b-5" href="news.html">Next</a>
            </p>
        </div>*@
    @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
</div>
}
